{ mkDerivation, amazonka, amazonka-s3, base, bytestring, conduit
, cryptonite, directory, ekg-core, filepath, generic-lens, lens
, lib, mtl, servant, servant-server, sqlite-simple, text, unliftio
, unordered-containers, wai, wai-middleware-metrics, warp
}:
mkDerivation {
  pname = "image-backup";
  version = "0.1.0.0";
  src = ./.;
  isLibrary = true;
  isExecutable = true;
  libraryHaskellDepends = [
    amazonka amazonka-s3 base bytestring conduit cryptonite directory
    ekg-core filepath generic-lens lens mtl servant servant-server
    sqlite-simple text unliftio unordered-containers wai
    wai-middleware-metrics warp
  ];
  executableHaskellDepends = [ base ];
  testHaskellDepends = [ base ];
  license = lib.licenses.bsd3;
  mainProgram = "image-backup";
}
